function FileList = setupFileList(image_dataset,imdb)

FileList.base_image_dir = ['images\' imdb.imageDir];
FileList.base_L2EMG_diag_dir = ['datas\L2EMG_diag\' imdb.imageDir];
FileList.base_L2EMG_full_dir = ['datas\L2EMG_full\' imdb.imageDir];
FileList.base_model_diag_dir = ['datas\model_diag\' imdb.imageDir];
FileList.base_model_full_dir = ['datas\model_full\' imdb.imageDir];
mat_file = cell(length(imdb.images.name),1);
for i = 1:length(imdb.images.name)
    if strcmp(image_dataset,'uiuc_sports')
        idx = strfind(imdb.images.name{i},'.');
    else
        idx = strfind(imdb.images.name{i},'.jpg');
    end
    mat_file{i} = [imdb.images.name{i}(1:idx) 'mat'];
end
FileList.imageFileList = fullfile(FileList.base_image_dir,imdb.images.name)';
FileList.L2EMG_diag_FileList = fullfile(FileList.base_L2EMG_diag_dir,mat_file);      
FileList.L2EMG_full_FileList = fullfile(FileList.base_L2EMG_full_dir,mat_file);   
FileList.model_diag_FileList = fullfile(FileList.base_model_diag_dir,mat_file);
FileList.model_full_FileList = fullfile(FileList.base_model_full_dir,mat_file);